Summary: ADSL/PPPoE userspace driver
Summary(fr): Pilote LNPA (ADSL/PPPoE) en mode userspace
Vendor: MandrakeSoft
Distribution: Linux-Mandrake
Name:      rp-pppoe
Version:   1.7
Release: 3mdk
Source:    http://www.roaringpenguin.com/%{name}-%{version}.tar.bz2
Patch: rp-pppoe-1.7-kill.patch.bz2
Url: http://www.roaringpenguin.com/pppoe.html
Copyright: GPL
Group:     System/Servers
BuildRoot: /tmp/rpm-userinfo-root
requires: ppp >= 2.3.7 pppoe-linuxconf
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

It has been tested with the Canadian Sympatico HSE (High Speed Edition) 
service.

Get the pppoe-linuxconf module to configure it.


%description -l fr
PPPoE (Point-to-Point Protocol over Ethernet) est un protocole utilise
par plusieurs fournisseurs de service internet ADSL (LNPA). Ce client
gratuit, concu par Roaring Penguin, vous permet de vous connecter a des
fournisseurs en PPPoE.

Le client est un programme en mode utilisateur et ne requiert pas de
modifications au noyau (kernel). Il est entierement compatible au RFC 2516,
la specification officielle PPPoE.

Installez le package pppoe-linuxconf pour configurer ce pilote.


%prep
%setup 
%patch0 -p1 -b .kill

%build
./configure
perl -p -i -e "s/-O2/$RPM_OPT_FLAGS/g;" Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ppp

install --strip pppoe $RPM_BUILD_ROOT/usr/sbin/pppoe
install -m 644 adsl-start.8 adsl-stop.8 adsl-connect.8 pppoe.8 adsl-setup.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 pppoe.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 755 adsl-setup adsl-connect adsl-start adsl-stop $RPM_BUILD_ROOT/usr/sbin/
install -m 755 adsl-init $RPM_BUILD_ROOT/etc/rc.d/init.d/adsl
install -m 644 pppoe.conf firewall-masq firewall-standalone $RPM_BUILD_ROOT/etc/ppp
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add adsl

%preun
/sbin/chkconfig --del adsl
%files
%defattr(-,root,root)
%doc HOW-TO-CONNECT LICENSE README adsl-state.pl firewall
%config(noreplace) /etc/ppp/pppoe.conf
%config(noreplace) /etc/ppp/firewall-masq
%config(noreplace) /etc/ppp/firewall-standalone
/usr/sbin/pppoe
/usr/sbin/adsl-connect
/usr/sbin/adsl-start
/usr/sbin/adsl-stop
/usr/sbin/adsl-setup
%{_mandir}/man5/pppoe.conf.5*
%{_mandir}/man8/pppoe.8*
%{_mandir}/man8/adsl-connect.8*
%{_mandir}/man8/adsl-start.8*
%{_mandir}/man8/adsl-stop.8*
%{_mandir}/man8/adsl-setup.8*
%config(noreplace) /etc/rc.d/init.d/adsl

%changelog
* Thu Oct  5 2000 dam's <damien@mandrakesoft.com> 1.7-3mdk
- added patch0. the bogus connection is cleanly removed.

* Tue Sep  5 2000 Etienne Faure  <etienne@mandraksoft.com> 1.7-2mdk
- rebuilt with _mandir and %%doc macros
- run chkconfig

*Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.7-1mdk
- changed group
- new version

*Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6-1mdk
- updated to 1.6
- merged my patches with the author so it's in the distribution
 
*Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3-1mdk
- First Mandrake release
- require pppoe-linuxconf
